Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CXListCtrl Class Reference

`#include <XListCtrl.h>`

Collaboration diagram for CXListCtrl:

[legend]
List of all members.

## Public Member Functions
| CXListCtrl ()
virtual | ~CXListCtrl ()
int | CountCheckedItems (int nSubItem)
BOOL | DeleteAllItems ()
BOOL | DeleteItem (int nItem)
void | DeleteProgress (int nItem, int nSubItem)
BOOL | GetBold (int nItem, int nSubItem)
int | GetCheckbox (int nItem, int nSubItem)
int | GetColumns ()
CString | GetComboText (int iItem, int iSubItem)
int | GetCurSel ()
BOOL | GetEnabled (int nItem)
DWORD | GetExtendedStyleX ()
int | GetHeaderCheckedState (int nSubItem)
DWORD | GetItemData (int nItem)
BOOL | GetSubItemRect (int iItem, int iSubItem, int nArea, CRect &rect)
int | InsertItem (int nItem, LPCTSTR lpszItem)
int | InsertItem (int nItem, LPCTSTR lpszItem, COLORREF crText, COLORREF crBackground)
int | InsertItem (const LVITEM *pItem)
BOOL | SetBold (int nItem, int nSubItem, BOOL bBold)
BOOL | SetComboBox (int nItem, int nSubItem, BOOL bEnableCombo, CStringArray *psa, int nComboListHeight, int nInitialComboSel)
BOOL | SetCheckbox (int nItem, int nSubItem, int nCheckedState)
BOOL | SetCurSel (int nItem)
BOOL | SetEnabled (int nItem, BOOL bEnable)
DWORD | SetExtendedStyleX (DWORD dwNewStyle)
BOOL | SetHeaderCheckedState (int nSubItem, int nCheckedState)
int | SetItem (const LVITEM *pItem)
BOOL | SetItemData (int nItem, DWORD dwData)
BOOL | SetItemImage (int nItem, int nSubItem, int nImage)
BOOL | SetItemText (int nItem, int nSubItem, LPCTSTR lpszText)
BOOL | SetItemText (int nItem, int nSubItem, LPCTSTR lpszText, COLORREF crText, COLORREF crBackground)
BOOL | SetProgress (int nItem, int nSubItem, BOOL bShowProgressText=TRUE, LPCTSTR lpszProgressText=NULL)
void | UpdateProgress (int nItem, int nSubItem, int nPercent)
void | UpdateSubItem (int nItem, int nSubItem)
void | DeleteAllToolTips ()
BOOL | SetItemToolTipText (int nItem, int nSubItem, LPCTSTR lpszToolTipText)
CString | GetItemToolTipText (int nItem, int nSubItem)
virtual int | OnToolHitTest (CPoint point, TOOLINFO *pTI) const
virtual void | PreSubclassWindow ()
## Public Attributes
CXHeaderCtrl | m_HeaderCtrl
CImageList | m_cImageList
## Protected Member Functions
void | DrawCheckbox (int nItem, int nSubItem, CDC *pDC, COLORREF crText, COLORREF crBkgnd, CRect &rect, XLISTCTRLDATA *pCLD)
void | DrawComboBox (int nItem, int nSubItem, CDC *pDC, COLORREF crText, COLORREF crBkgnd, CRect &rect, XLISTCTRLDATA *pCLD)
void | UnpressComboButton ()
int | DrawImage (int nItem, int nSubItem, CDC *pDC, COLORREF crText, COLORREF crBkgnd, CRect rect, XLISTCTRLDATA *pXLCD)
void | DrawProgress (int nItem, int nSubItem, CDC *pDC, COLORREF crText, COLORREF crBkgnd, CRect &rect, XLISTCTRLDATA *pCLD)
void | DrawText (int nItem, int nSubItem, CDC *pDC, COLORREF crText, COLORREF crBkgnd, CRect &rect, XLISTCTRLDATA *pCLD)
void | GetDrawColors (int nItem, int nSubItem, COLORREF &colorText, COLORREF &colorBkgnd)
void | SubclassHeaderControl ()
afx_msg BOOL | OnClick (NMHDR *pNMHDR, LRESULT *pResult)
afx_msg BOOL | OnColumnClick (NMHDR *pNMHDR, LRESULT *pResult)
afx_msg int | OnCreate (LPCREATESTRUCT lpCreateStruct)
afx_msg void | OnCustomDraw (NMHDR *pNMHDR, LRESULT *pResult)
afx_msg void | OnDestroy ()
afx_msg void | OnLButtonDown (UINT nFlags, CPoint point)
afx_msg void | OnPaint ()
afx_msg void | OnSysColorChange ()
afx_msg void | OnTimer (UINT nIDEvent)
afx_msg LRESULT | OnComboEscape (WPARAM, LPARAM)
afx_msg LRESULT | OnComboReturn (WPARAM, LPARAM)
afx_msg LRESULT | OnComboKeydown (WPARAM, LPARAM)
afx_msg LRESULT | OnComboLButtonUp (WPARAM, LPARAM)
virtual afx_msg BOOL | OnToolTipText (UINT id, NMHDR *pNMHDR, LRESULT *pResult)
## Protected Attributes
BOOL | m_bHeaderIsSubclassed
DWORD | m_dwExtendedStyleX
COLORREF | m_cr3DFace
COLORREF | m_cr3DHighLight
COLORREF | m_cr3DShadow
COLORREF | m_crBtnFace
COLORREF | m_crBtnShadow
COLORREF | m_crBtnText
COLORREF | m_crGrayText
COLORREF | m_crHighLight
COLORREF | m_crHighLightText
COLORREF | m_crWindow
COLORREF | m_crWindowText
BOOL | m_bComboIsClicked
int | m_nComboItem
int | m_nComboSubItem
CRect | m_rectComboButton
CRect | m_rectComboList
CXComboList * | m_pListBox
CFont | m_ListboxFont
BOOL | m_bFontIsCreated
CString | m_strInitialComboString

## Constructor & Destructor Documentation

CXListCtrl::CXListCtrl | ( |  | ) |

CXListCtrl::~CXListCtrl | ( |  | ) | `[virtual]`

## Member Function Documentation

int CXListCtrl::CountCheckedItems | ( | int | nSubItem | ) |

BOOL CXListCtrl::DeleteAllItems | ( |  | ) |

void CXListCtrl::DeleteAllToolTips | ( |  | ) |

BOOL CXListCtrl::DeleteItem | ( | int | nItem | ) |

void CXListCtrl::DeleteProgress | ( | int | nItem,
|  | int | nSubItem
| ) |

void CXListCtrl::DrawCheckbox | ( | int | nItem,
|  | int | nSubItem,
|  | CDC * | pDC,
|  | COLORREF | crText,
|  | COLORREF | crBkgnd,
|  | CRect & | rect,
|  | XLISTCTRLDATA * | pCLD
| ) | `[protected]`

void CXListCtrl::DrawComboBox | ( | int | nItem,
|  | int | nSubItem,
|  | CDC * | pDC,
|  | COLORREF | crText,
|  | COLORREF | crBkgnd,
|  | CRect & | rect,
|  | XLISTCTRLDATA * | pCLD
| ) | `[protected]`

int CXListCtrl::DrawImage | ( | int | nItem,
|  | int | nSubItem,
|  | CDC * | pDC,
|  | COLORREF | crText,
|  | COLORREF | crBkgnd,
|  | CRect | rect,
|  | XLISTCTRLDATA * | pXLCD
| ) | `[protected]`

void CXListCtrl::DrawProgress | ( | int | nItem,
|  | int | nSubItem,
|  | CDC * | pDC,
|  | COLORREF | crText,
|  | COLORREF | crBkgnd,
|  | CRect & | rect,
|  | XLISTCTRLDATA * | pCLD
| ) | `[protected]`

void CXListCtrl::DrawText | ( | int | nItem,
|  | int | nSubItem,
|  | CDC * | pDC,
|  | COLORREF | crText,
|  | COLORREF | crBkgnd,
|  | CRect & | rect,
|  | XLISTCTRLDATA * | pCLD
| ) | `[protected]`

BOOL CXListCtrl::GetBold | ( | int | nItem,
|  | int | nSubItem
| ) |

int CXListCtrl::GetCheckbox | ( | int | nItem,
|  | int | nSubItem
| ) |

int CXListCtrl::GetColumns | ( |  | ) |

CString CXListCtrl::GetComboText | ( | int | iItem,
|  | int | iSubItem
| ) |

int CXListCtrl::GetCurSel | ( |  | ) |

void CXListCtrl::GetDrawColors | ( | int | nItem,
|  | int | nSubItem,
|  | COLORREF & | colorText,
|  | COLORREF & | colorBkgnd
| ) | `[protected]`

BOOL CXListCtrl::GetEnabled | ( | int | nItem | ) |

DWORD CXListCtrl::GetExtendedStyleX | ( |  | ) | `[inline]`

int CXListCtrl::GetHeaderCheckedState | ( | int | nSubItem | ) |

DWORD CXListCtrl::GetItemData | ( | int | nItem | ) |

CString CXListCtrl::GetItemToolTipText | ( | int | nItem,
|  | int | nSubItem
| ) |

BOOL CXListCtrl::GetSubItemRect | ( | int | iItem,
|  | int | iSubItem,
|  | int | nArea,
|  | CRect & | rect
| ) |

int CXListCtrl::InsertItem | ( | const LVITEM * | pItem | ) |

int CXListCtrl::InsertItem | ( | int | nItem,
|  | LPCTSTR | lpszItem,
|  | COLORREF | crText,
|  | COLORREF | crBackground
| ) |

int CXListCtrl::InsertItem | ( | int | nItem,
|  | LPCTSTR | lpszItem
| ) |

BOOL CXListCtrl::OnClick | ( | NMHDR * | pNMHDR,
|  | LRESULT * | pResult
| ) | `[protected]`

BOOL CXListCtrl::OnColumnClick | ( | NMHDR * | pNMHDR,
|  | LRESULT * | pResult
| ) | `[protected]`

LRESULT CXListCtrl::OnComboEscape | ( | WPARAM | ,
|  | LPARAM |
| ) | `[protected]`

LRESULT CXListCtrl::OnComboKeydown | ( | WPARAM | ,
|  | LPARAM |
| ) | `[protected]`

LRESULT CXListCtrl::OnComboLButtonUp | ( | WPARAM | ,
|  | LPARAM |
| ) | `[protected]`

LRESULT CXListCtrl::OnComboReturn | ( | WPARAM | ,
|  | LPARAM |
| ) | `[protected]`

int CXListCtrl::OnCreate | ( | LPCREATESTRUCT | lpCreateStruct | ) | `[protected]`

void CXListCtrl::OnCustomDraw | ( | NMHDR * | pNMHDR,
|  | LRESULT * | pResult
| ) | `[protected]`

void CXListCtrl::OnDestroy | ( |  | ) | `[protected]`

void CXListCtrl::OnLButtonDown | ( | UINT | nFlags,
|  | CPoint | point
| ) | `[protected]`

void CXListCtrl::OnPaint | ( |  | ) | `[protected]`

void CXListCtrl::OnSysColorChange | ( |  | ) | `[protected]`

void CXListCtrl::OnTimer | ( | UINT | nIDEvent | ) | `[protected]`

int CXListCtrl::OnToolHitTest | ( | CPoint | point,
|  | TOOLINFO * | pTI
| ) | const`[virtual]`

BOOL CXListCtrl::OnToolTipText | ( | UINT | id,
|  | NMHDR * | pNMHDR,
|  | LRESULT * | pResult
| ) | `[protected, virtual]`

void CXListCtrl::PreSubclassWindow | ( |  | ) | `[virtual]`

BOOL CXListCtrl::SetBold | ( | int | nItem,
|  | int | nSubItem,
|  | BOOL | bBold
| ) |

BOOL CXListCtrl::SetCheckbox | ( | int | nItem,
|  | int | nSubItem,
|  | int | nCheckedState
| ) |

BOOL CXListCtrl::SetComboBox | ( | int | nItem,
|  | int | nSubItem,
|  | BOOL | bEnableCombo,
|  | CStringArray * | psa,
|  | int | nComboListHeight,
|  | int | nInitialComboSel
| ) |

BOOL CXListCtrl::SetCurSel | ( | int | nItem | ) |

BOOL CXListCtrl::SetEnabled | ( | int | nItem,
|  | BOOL | bEnable
| ) |

DWORD CXListCtrl::SetExtendedStyleX | ( | DWORD | dwNewStyle | ) | `[inline]`

BOOL CXListCtrl::SetHeaderCheckedState | ( | int | nSubItem,
|  | int | nCheckedState
| ) |

int CXListCtrl::SetItem | ( | const LVITEM * | pItem | ) |

BOOL CXListCtrl::SetItemData | ( | int | nItem,
|  | DWORD | dwData
| ) |

BOOL CXListCtrl::SetItemImage | ( | int | nItem,
|  | int | nSubItem,
|  | int | nImage
| ) |

BOOL CXListCtrl::SetItemText | ( | int | nItem,
|  | int | nSubItem,
|  | LPCTSTR | lpszText,
|  | COLORREF | crText,
|  | COLORREF | crBackground
| ) |

BOOL CXListCtrl::SetItemText | ( | int | nItem,
|  | int | nSubItem,
|  | LPCTSTR | lpszText
| ) |

BOOL CXListCtrl::SetItemToolTipText | ( | int | nItem,
|  | int | nSubItem,
|  | LPCTSTR | lpszToolTipText
| ) |

BOOL CXListCtrl::SetProgress | ( | int | nItem,
|  | int | nSubItem,
|  | BOOL | bShowProgressText = TRUE,
|  | LPCTSTR | lpszProgressText = NULL
| ) |

void CXListCtrl::SubclassHeaderControl | ( |  | ) | `[protected]`

void CXListCtrl::UnpressComboButton | ( |  | ) | `[protected]`

void CXListCtrl::UpdateProgress | ( | int | nItem,
|  | int | nSubItem,
|  | int | nPercent
| ) |

void CXListCtrl::UpdateSubItem | ( | int | nItem,
|  | int | nSubItem
| ) |

## Member Data Documentation

BOOL CXListCtrl::m_bComboIsClicked`[protected]`

BOOL CXListCtrl::m_bFontIsCreated`[protected]`

BOOL CXListCtrl::m_bHeaderIsSubclassed`[protected]`

CImageList CXListCtrl::m_cImageList

COLORREF CXListCtrl::m_cr3DFace`[protected]`

COLORREF CXListCtrl::m_cr3DHighLight`[protected]`

COLORREF CXListCtrl::m_cr3DShadow`[protected]`

COLORREF CXListCtrl::m_crBtnFace`[protected]`

COLORREF CXListCtrl::m_crBtnShadow`[protected]`

COLORREF CXListCtrl::m_crBtnText`[protected]`

COLORREF CXListCtrl::m_crGrayText`[protected]`

COLORREF CXListCtrl::m_crHighLight`[protected]`

COLORREF CXListCtrl::m_crHighLightText`[protected]`

COLORREF CXListCtrl::m_crWindow`[protected]`

COLORREF CXListCtrl::m_crWindowText`[protected]`

DWORD CXListCtrl::m_dwExtendedStyleX`[protected]`

CXHeaderCtrl CXListCtrl::m_HeaderCtrl

CFont CXListCtrl::m_ListboxFont`[protected]`

int CXListCtrl::m_nComboItem`[protected]`

int CXListCtrl::m_nComboSubItem`[protected]`

CXComboList* CXListCtrl::m_pListBox`[protected]`

CRect CXListCtrl::m_rectComboButton`[protected]`

CRect CXListCtrl::m_rectComboList`[protected]`

CString CXListCtrl::m_strInitialComboString`[protected]`

The documentation for this class was generated from the following files:

- XListCtrl.h
- XListCtrl.cpp